Bug 230290 - [LFC][IFC] Add InlineInvalidation::horizontalConstraintChanged
Summary: [LFC][IFC] Add InlineInvalidation::horizontalConstraintChanged
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: zalan
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-09-14 19:09 PDT by zalan
Modified: 2021-09-17 12:29 PDT (History)
5 users (show)

See Also:


Attachments
Patch (7.19 KB, patch)
2021-09-14 19:55 PDT, zalan
no flags Details | Formatted Diff | Diff
Patch (6.22 KB, patch)
2021-09-16 19:29 PDT, zalan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description zalan 2021-09-14 19:09:51 PDT
to invalidate inline content when the containing block's content box logical width changes (e.g. window resize)
Comment 1 zalan 2021-09-14 19:55:33 PDT
Created attachment 438209 [details]
Patch
Comment 2 zalan 2021-09-16 19:29:33 PDT
Created attachment 438432 [details]
Patch
Comment 3 EWS 2021-09-17 12:28:56 PDT
Committed r282684 (241823@main): <https://commits.webkit.org/241823@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 438432 [details].
Comment 4 Radar WebKit Bug Importer 2021-09-17 12:29:16 PDT
<rdar://problem/83251411>